com.pivotal.gemfirexd.internal.client.net

## Class NetConnectionRequest

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.Request
  - - com.pivotal.gemfirexd.internal.client.net.NetConnectionRequest

All Implemented Interfaces:
  ConnectionRequestInterface

Direct Known Subclasses:
  NetPackageRequest

    public class NetConnectionRequest
    extends Request
    implements ConnectionRequestInterface

### Field Summary

### Fields inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`bytes_, ccsidManager_, DSS_CONTINUATION_LEN, dssLengthLocation_, netAgent_, offset_, passwordIncluded_, passwordLength_, passwordStart_`

### Method Summary

Methods
`void` `writeCommitSubstitute(NetConnection connection)`
`void` `writeForget(int codepoint, int value)`
`void` `writeLocalCommit(NetConnection connection)`
`void` `writeLocalRollback(NetConnection connection)`
`void` `writeLocalXACommit(NetConnection conn)`
`void` `writeLocalXARollback(NetConnection conn)`
`void` `writeLocalXAStart(NetConnection connection)`
`void` `writeReleaseConversation(int codepoint, int value)`
`void` `writeSYNCType(int codepoint, int syncType)`
`protected void` `writeXaCommit(NetConnection conn, Xid xid)`
`void` `writeXaEndUnitOfWork(NetConnection conn)`
`protected void` `writeXaForget(NetConnection conn, Xid xid)`
`protected void` `writeXaPrepare(NetConnection conn)`
`protected void` `writeXaRecover(NetConnection conn, int flag)`
`protected void` `writeXaRollback(NetConnection conn, Xid xid)`
`void` `writeXaStartUnitOfWork(NetConnection conn)`

### Methods inherited from class com.pivotal.gemfirexd.internal.client.net.Request

`calculateExtendedLengthByteCount, clearBuffer, createCommand, createXACommand, doesRequestContainData, ensureLength, finalizeDssLength, finalizePreviousChainedDss, flush, flushExistingDSS, flushScalarStreamSegment, flushScalarStreamSegment, mark, markForCachingPKGNAMCSN, markLengthBytes, padScalarStreamForError, popMark, popMarkForCachingPKGNAMCSN, prepScalarStream, sendBytes, setCorrelationID, setDssLengthLocation, updateLengthBytes, writeDouble, writeFloat, writeIntFdocaData, writeLongFdocaData, writeScalar1Byte, writeScalar4Bytes, writeShortFdocaData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### writeCommitSubstitute

    public void writeCommitSubstitute(NetConnection connection)
                               throws SqlException

Specified by:
  `writeCommitSubstitute` in interface `ConnectionRequestInterface`
Throws:
  `SqlException`

#### writeLocalCommit

    public void writeLocalCommit(NetConnection connection)
                          throws SqlException

Specified by:
  `writeLocalCommit` in interface `ConnectionRequestInterface`
Throws:
  `SqlException`

#### writeLocalRollback

    public void writeLocalRollback(NetConnection connection)
                            throws SqlException

Specified by:
  `writeLocalRollback` in interface `ConnectionRequestInterface`
Throws:
  `SqlException`

#### writeLocalXAStart

    public void writeLocalXAStart(NetConnection connection)
                           throws SqlException

Specified by:
  `writeLocalXAStart` in interface `ConnectionRequestInterface`
Throws:
  `SqlException`

#### writeLocalXACommit

    public void writeLocalXACommit(NetConnection conn)
                            throws SqlException

Specified by:
  `writeLocalXACommit` in interface `ConnectionRequestInterface`
Throws:
  `SqlException`

#### writeLocalXARollback

    public void writeLocalXARollback(NetConnection conn)
                              throws SqlException

Specified by:
  `writeLocalXARollback` in interface `ConnectionRequestInterface`
Throws:
  `SqlException`

#### writeXaStartUnitOfWork

    public void writeXaStartUnitOfWork(NetConnection conn)
                                throws SqlException

Throws:
  `SqlException`

#### writeXaEndUnitOfWork

    public void writeXaEndUnitOfWork(NetConnection conn)
                              throws SqlException

Throws:
  `SqlException`

#### writeXaPrepare

    protected void writeXaPrepare(NetConnection conn)
                           throws SqlException

Throws:
  `SqlException`

#### writeXaCommit

    protected void writeXaCommit(NetConnection conn,
                     Xid xid)
                          throws SqlException

Throws:
  `SqlException`

#### writeXaRollback

    protected void writeXaRollback(NetConnection conn,
                       Xid xid)
                            throws SqlException

Throws:
  `SqlException`

#### writeXaRecover

    protected void writeXaRecover(NetConnection conn,
                      int flag)
                           throws SqlException

Throws:
  `SqlException`

#### writeXaForget

    protected void writeXaForget(NetConnection conn,
                     Xid xid)
                          throws SqlException

Throws:
  `SqlException`

#### writeSYNCType

    public void writeSYNCType(int codepoint,
                     int syncType)

#### writeForget

    public void writeForget(int codepoint,
                   int value)

#### writeReleaseConversation

    public void writeReleaseConversation(int codepoint,
                                int value)